std::enable_if< bool, _Tp > Struct Template Reference
Metaprogramming
Inheritance diagram for std::enable_if< bool, _Tp >:
[legend]

## Detailed Description

### template<bool, typename _Tp = void>
struct std::enable_if< bool, _Tp >

Define a member typedef `type` only if a boolean constant is true.

Definition at line 1766 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits